miri_source_c.h File Reference
`#include <gnuradio/sync_block.h>`
`#include <gnuradio/thread/thread.h>`
`#include <mutex>`
`#include <condition_variable>`
`#include "source_iface.h"`

Go to the source code of this file.

## Classes

class | miri_source_c
| Provides a stream of complex samples. More...

## Typedefs

typedef struct mirisdr_dev | mirisdr_dev_t

## Functions

miri_source_c_sptr | make_miri_source_c (const std::string &args="")
| Return a shared_ptr to a new instance of miri_source_c.

## Typedef Documentation

## mirisdr_dev_t

typedef struct mirisdr_dev mirisdr_dev_t

## Function Documentation

## make_miri_source_c()

miri_source_c_sptr make_miri_source_c | ( | const std::string & | args = "" | ) |

Return a shared_ptr to a new instance of miri_source_c.

To avoid accidental use of raw pointers, miri_source_c's constructor is private. make_miri_source_c is the public interface for creating new instances.